Bug 223913 - net/freerdp: enable Wayland client, wlfreerdp
Summary: net/freerdp: enable Wayland client, wlfreerdp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks: 224658
  Show dependency treegraph
 
Reported: 2017-11-27 17:17 UTC by Greg V
Modified: 2018-01-04 20:42 UTC (History)
3 users (show)

See Also:
kevans: maintainer-feedback+


Attachments
freerdp-wayland.patch (4.44 KB, patch)
2017-11-27 17:17 UTC, Greg V
no flags Details | Diff
freerdp-wayland.patch (6.31 KB, patch)
2017-12-29 17:50 UTC, Carlos J. Puga Medina
no flags Details | Diff
freerdp-wayland.diff (6.84 KB, patch)
2017-12-29 18:08 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (kevans)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-11-27 17:17:38 UTC
Created attachment 188321 [details]
freerdp-wayland.patch

This patch adds a WAYLAND option to FreeRDP. Tested with wlroots' rootston compositor.
Comment 1 Kyle Evans freebsd_committer 2017-12-01 15:15:19 UTC
Looks good to me; how well do these patches apply against a more recent FreeRDP? I'll admit that I've not been following FreeRDP development as much since my laptop recently died and I'm working on replacing it with a Pinebook. I do see that they've released a second rc for 2.0.0, though, so hopefully an actual release can be near.
Comment 2 Greg V 2017-12-01 15:42:22 UTC
(In reply to Kyle Evans from comment #1)
Tried rc1. These patches apply fine. LibreSSL patches need to be removed as they merged them: https://github.com/FreeRDP/FreeRDP/pull/4061

But they've added FIPS mode without checking for LibreSSL there :D Sent a fix: https://github.com/FreeRDP/FreeRDP/pull/4298

Also, wlfreerdp needs to be run with '-clipboard': https://github.com/FreeRDP/FreeRDP/issues/3414
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-12-29 17:50:34 UTC
Created attachment 189199 [details]
freerdp-wayland.patch

- Add multimedia/v4l_compat dependency for missing linux/input.h
- Fix pkg-plist
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-12-29 18:08:48 UTC
Created attachment 189201 [details]
freerdp-wayland.diff

- Sort OPTIONS_DEFAULT, OPTIONS_DEFINE, GSTREAMER_USE, WAYLAND_LIB_DEPENDS and X11_USE
- Sort option helpers
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-12-29 18:47:42 UTC
@Greg

You have enabled WAYLAND option by default, is the change intentional or not?
Comment 6 Greg V 2017-12-31 12:38:22 UTC
(In reply to Carlos J. Puga Medina from comment #5)
Yeah, I think it should be on by default everywhere (see recent discussion on freebsd-x11, tl;dr please don't make wayland users recompile everything from ports :D)
Comment 7 Kyle Evans freebsd_committer 2017-12-31 14:40:47 UTC
(In reply to Greg V from comment #6)

FWIW- unless the ports tree/framework has an official policy on this, I'm OK with it being default here. The overhead is not enough to be argued over by non-Wayland folks and it's separate from X bits so not much chance in breaking things for them either.
Comment 8 commit-hook freebsd_committer 2018-01-01 19:58:19 UTC
A commit references this bug:

Author: cpm
Date: Mon Jan  1 19:57:37 UTC 2018
New revision: 457792
URL: https://svnweb.freebsd.org/changeset/ports/457792

Log:
  net/freerdp: enable Wayland client, wlfreerdp

  - Add WAYLAND support option and enabled it by default
  - Sort options helpers
  - Bump PORTREVISION

  PR:		223913
  Submitted by:	Greg V <greg@unrelenting.technology>
  Reviewed by:	cpm, kevans
  Approved by:	kevans (maintainer)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/files/patch-uwac_libuwac_CMakeLists.txt
  head/net/freerdp/files/patch-uwac_libuwac_uwac-os.c
  head/net/freerdp/pkg-plist
Comment 9 Carlos J. Puga Medina freebsd_committer 2018-01-01 19:59:32 UTC
Committed, thanks!
Comment 10 Jack 2018-01-04 20:28:51 UTC
Getting this with the wayland knob enabled.

===>  Applying FreeBSD patch patch-libfreerdp_crypto_crypto.c
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- libfreerdp/crypto/crypto.c.orig    2017-08-05 09:35:32 UTC
|+++ libfreerdp/crypto/crypto.c
--------------------------
Patching file libfreerdp/crypto/crypto.c using Plan A...
Hunk #1 failed at 388.
1 out of 1 hunks failed--saving rejects to libfreerdp/crypto/crypto.c.rej
done
=> FreeBSD patch patch-libfreerdp_crypto_crypto.c failed to apply cleanly.
=> Patch(es)  patch-CMakeLists.txt patch-client_Wayland_CMakeLists.txt patch-client_X11_CMakeLists.txt patch-cmake_FindGStreamer__1__0.cmake patch-ffmpeg29 applied cleanly.
*** Error code 1
Comment 11 Kyle Evans freebsd_committer 2018-01-04 20:33:32 UTC
(In reply to xxjack12xx from comment #10)

@cpm: Ah, files/patch-libfreerdp_crypto_crypto.c needs to go away. Please either go ahead and `svn rm` it, or give me approval and I'll do it. =)
Comment 12 Carlos J. Puga Medina freebsd_committer 2018-01-04 20:42:33 UTC
(In reply to Kyle Evans from comment #11)

Fixed in r458085